Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis.tokenizer
Class LaxistLowerCaseTokenizer

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.Tokenizer
              org.apache.lucene.analysis.CharTokenizer
                  fr.gouv.culture.sdx.search.lucene.analysis.tokenizer.LetterOrDigitTokenizer
                      fr.gouv.culture.sdx.search.lucene.analysis.tokenizer.LaxistLowerCaseTokenizer

    public final class LaxistLowerCaseTokenizer

extends LetterOrDigitTokenizer

Title: LaxistLowerCaseTokenizer Description: Like org.apache.lucene.analysis.LowerCaseTokenizer but inherits from LetterOrDigitTokenizer, not from LetterTokenizer Copyright: Copyright (c) 2004 Company:

Version:
  1.0
Author:
  Pierre Dittgen

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`LaxistLowerCaseTokenizer(java.io.Reader in)`

Method Summary
`protected char` | `normalize(char c)`

Methods inherited from class fr.gouv.culture.sdx.search.lucene.analysis.tokenizer.LetterOrDigitTokenizer
`isTokenChar`

Methods inherited from class org.apache.lucene.analysis.CharTokenizer
`next`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaxistLowerCaseTokenizer

    public LaxistLowerCaseTokenizer(java.io.Reader in)

Method Detail

### normalize

    protected char normalize(char c)

  Overrides:
    `normalize` in class `org.apache.lucene.analysis.CharTokenizer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.